[SDL] DirectX 7?

Nick Whitelegg bssnrw at bath.ac.uk
Thu Sep 26 04:06:02 PDT 2002


> 
> So what's the big deal? If you want to write a (2D) game that runs
> on low-end and older machines, use the SDL 1.x branch. No one is
> forcing you to use SDL 2.x. (Unless, of course, having 2.x means
> that the 1.x branch is no longer maintained with bug fixes and
> such.)

But it means you can't take advantage of any new features added to the
library. Proprietary software makers often fall into the trap of not
supporting any PC or OS more than 2 or 3 years old, forcing the user into
unnecessary costly and wasteful upgrades. I thought the whole free
software ethic was to be as inclusive as possible?

Nick





More information about the SDL mailing list